<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_AD_admin_vars' ;
$__functions['boot_admin'][] ='_AD_admin_boot' ;
//$__functions['alert'][]   ='_AD_admin_alert' ;
$__functions['install'][]	='_AD_install_modul' ;



function _AD_admin_vars() //
{   // объявление продублировано в /engine/ для устранеия ошибки при инсталяции модуля
	$_SESSION['descr_clss'][20]['fields']['personal_id']=array('type'=>'int(11)') ;
}

function _AD_admin_boot($options)
{
  create_system_modul_obj('AD',$options) ;
}


function _AD_install_modul($DOT_root)
{
  $id_sect=SETUP_add_section_to_site_setting('ActiveDirectory') ;
  SETUP_add_rec_to_site_setting($id_sect,"domainName",'','LS_AD_domainName') ;
  SETUP_add_rec_to_site_setting($id_sect,"base_dn",'','LS_AD_base_dn') ;
  SETUP_add_rec_to_site_setting($id_sect,"username",'','LS_AD_username') ;
  SETUP_add_rec_to_site_setting($id_sect,"password",'','LS_AD_password',array('crypt'=>1)) ;
  SETUP_add_rec_to_site_setting($id_sect,"servers",'','LS_AD_servers') ;
  SETUP_add_rec_to_site_setting($id_sect,"Поля AD используемые как имя аккаунта ЭСМО",1,'LS_AD_to_ESMO_account_name',array('el'=>'select','array'=>'ARR_AD_to_ESMO_account_name')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Группа по умолчанию",'','LS_AD_default_group',array('el'=>'select','array_func'=>'ACCOUNTS.get_arr_tree_workgroups')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Разрешить автоматическую авторизацию по учетным данным AD",0,'LS_AD_allow_auth_by_AD_login',array('el'=>'checkbox')) ;
  // !!!  UID AD необходимо вынести в отдельное поле
  SETUP_add_rec_to_site_setting($id_sect,"Запрет авторизации по паролю после авторизации по AD",0,'LS_AD_disallow_pass_after_AD',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Предлагать выбор роли при нескольких ролях аккаунта AD",0,'LS_AD_allow_select_rol',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Разрешить автодобавление новых аккаунтов",0,'LS_AD_allow_create_account',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Разрешить изменять роль существующего аккаунта в соответствии с текущими группами пользователя AD",0,'LS_AD_allow_change_rol',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Разрешить изменить группу ЭСМО существующего аккаунта в соответствии с с текущими группами пользователя AD",0,'LS_AD_allow_change_group',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Запретить авторизацию по логину/паролю",0,'LS_AD_disallow_auth_by_pass',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Разрешить TLS",0,'LS_AD_ldap_tls',array('el'=>'checkbox')) ;
  SETUP_add_rec_to_site_setting($id_sect,"Название должности фельдшеров, после автоматического добавления",'','LS_AD_working_name_for_rol') ;

  $id_list=SETUP_add_list_to_site_list(1,'Группы ActiveDirectory','ad_groups') ;

  SETUP()->reg_event_lister('check_autorize','AD','on_event_check_autorize') ;         //
}


?>
